% ------------------------------------------------------------------------------
% Copyright (c) 2019, 2025 Contributors to the Eclipse Foundation
%
% See the NOTICE file(s) distributed with this work for additional
% information regarding copyright ownership.
%
% This program and the accompanying materials are made available under the terms
% of the MIT License which is available at https://opensource.org/licenses/MIT
%
% SPDX-License-Identifier: MIT
% ------------------------------------------------------------------------------
\documentclass{article}
\usepackage{tikz}
\usepackage{verbatim}

\usepackage[paperwidth=40in, paperheight=20in]{geometry}

\usetikzlibrary{arrows, automata, positioning}
\begin{document}
\pagestyle{empty}

\definecolor{se-blue}{HTML}{D0D5FF}

\newcommand{\state}[2]{\begin{tabular}{@{}c@{}}#1\\#2\end{tabular}}

\begin{tikzpicture}[
  ->,>=stealth',auto,node distance=2.5cm,thick,
  every node/.style={font=\sffamily\small},
  every state/.style={draw=se-blue,thick,top color=white,
                      bottom color=se-blue!75,initial text=},
  accepting/.style={accepting by arrow,accepting text=\ldots},
  every edge/.style={draw=black!50}]

  \node[state, initial]   (c)                  {closed};
  \node[state]            (b) [right=2cm of c] {in\_between};
  \node[state]            (o) [right=2cm of b] {open};

  \path[every node/.style={font=\sffamily\normalsize,outer sep=0pt}]
    (c) edge[bend left] node[above] {closed\_off} (b)
    (b) edge[bend left] node[below] {closed\_on}  (c)
    (b) edge[bend left] node[above] {open\_on}    (o)
    (o) edge[bend left] node[below] {open\_off}   (b)
  ;

\end{tikzpicture}
\end{document}
